
all: external

external:
	@if [ `uname -m` == "x86_64" ]; then \
		echo "compiling for x86_64"; \
		g++ -shared -I$(HOME)/local/eclipse/include/x86_64_linux -fPIC -o external.so external.c; \
	else \
		echo "compiling for i386"; \
		g++ -shared -I$(HOME)/local/eclipse/include/i386_linux -o external.so external.c; \
	fi;	
